microsoft-foundry.rest.security.o-auth2-auth
Memory Stores
Delete memories by scope
POST
/memory_stores/{name}:delete_scope
Deletes all memories in the specified memory store that are associated with the provided scope.
Üst bilgi parametreleri
Foundry-Features
enum
gerekli
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
MemoryStores=V1Preview
Yol parametreleri
name
string
gerekli
The name of the memory store.
Sorgu parametreleri
api-version
string
gerekli
The API version to use for this operation.
İstek Gövdesi
Content-Type: application/json
scope
string
gerekli
The namespace that logically groups and isolates memories to delete, such as a user ID.
Yanıtlar
The request has succeeded.
Gövde
Content-Type: application/json
object
enum
gerekli
The object type. Always 'memory_store.scope.deleted'.
memory_store.scope.deleted
name
string
gerekli
The name of the memory store.
scope
string
gerekli
The scope from which memories were deleted.
deleted
boolean
gerekli
Whether the deletion operation was successful.
İstek
POST /memory_stores/{name}:delete_scope HTTP/1.1
Response
Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json